Subject: Re: RCS executables? (need merge)
From: John Green <[email-masked]>
To: Andre Oliveira da Costa <[email-masked]>
Cc: [email-masked]
Date: Tue, 15 Aug 2000 09:33:23 -0400

Andre,

Thanks for the patch.  Unfortunately, it fails at the same place in
conf.sh

Any suggestions?  (I would prefer to be able to rebuild this when
necessary)

Thanks,
John

On Mon, Aug 14, 2000 at 04:02:16PM -0300, Andre Oliveira da Costa wrote:
> Hi John,
> 
> I also had trouble a long time ago building RCS on Cygwin (ever since
> B20.x), but with help from a lot of people, I managed to do it. I recently
> upgraded to Cygwin 1.1.2 (still waiting for the newer libs to get more
> stable...), and had to recompile RCS 5.7 one more time. However, having
> learned from experience, this time things went really smooth.
> 
> All I had to to was: download sources, apply the patch attached to this
> message, make and make install. It works like a charm.
> 
> If you want it, I can send you only the executable for merge. It's up to
> you.
> 
> HTH.
> 
> Best,
> 
> Andre
> --
> André Oliveira da Costa
> ([email-masked])
> 
> 
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]]On Behalf Of John Green
> > Sent: Monday, August 14, 2000 3:29 PM
> > To: [email-masked]
> > Subject: RCS executables? (need merge)
> >
> >
> > Are there RCS executables built for Cygwin (more current than B20?)
> > Specifically, I need merge.
> >
> > I've tried building it myself, but it stalls after:
> >
> > /src/rcs-5.7/src/conf.sh: cannot deduce has_prototype,
> > has_stdard, va_start_args
> > make[1]: *** [conf.h] Error 1
> > make[1]: Leaving directory `/build/rcs-5.7/src'
> > make: *** [all] Error 2
> >
> > From conf.err
> >
> > + has_varargs=0
> > + as=1 2
> > + rm -f ./a.out
> > + gcc -Dhas_conf_h -I. -I/src/rcs-5.7/src -g -O -o a.out
> > -Dhas_prototypes=0 -Dhas_stdarg=0 -Dhas_varargs=0 -Dva_start_args=1 a.c
> > + ./a.out
> > + rm -f ./a.out
> > + gcc -Dhas_conf_h -I. -I/src/rcs-5.7/src -g -O -o a.out
> > -Dhas_prototypes=0 -Dhas_stdarg=0 -Dhas_varargs=0 -Dva_start_args=2 a.c
> > a.c:17: macro `va_start' used with too many (2) args
> > + echo /src/rcs-5.7/src/conf.sh: cannot deduce has_prototypes,
> > has_stdarg, va_start_args
> > + exit 1
> >
> >
> > Thanks,
> > John
> >
> >
> > --
> > Want to unsubscribe from this list?
> > Send a message to [email-masked]
> >

--
Want to unsubscribe from this list?
Send a message to [email-masked]